# openapi_client.ProfileApi

All URIs are relative to *http://profileweb:8000*

Method | HTTP request | Description
------------- | ------------- | -------------
[**profile_create**](ProfileApi.md#profile_create) | **POST** /profile/ | 
[**profile_delete**](ProfileApi.md#profile_delete) | **DELETE** /profile/{id}/ | 
[**profile_list**](ProfileApi.md#profile_list) | **GET** /profile/ | 
[**profile_partial_update**](ProfileApi.md#profile_partial_update) | **PATCH** /profile/{id}/ | 
[**profile_read**](ProfileApi.md#profile_read) | **GET** /profile/{id}/ | 
[**profile_update**](ProfileApi.md#profile_update) | **PUT** /profile/{id}/ | 


# **profile_create**
> Profile profile_create(data)



here is the APis to perform the crud operation on Profile models.

### Example

* Basic Authentication (Basic):

```python
import time
import openapi_client
from openapi_client.api import profile_api
from openapi_client.model.profile import Profile
from pprint import pprint
# Defining the host is optional and defaults to http://profileweb:8000
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://profileweb:8000"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = openapi_client.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = profile_api.ProfileApi(api_client)
    data = Profile(
        email="email_example",
        name="name_example",
        password="password_example",
        city="city_example",
        date=dateutil_parser('1970-01-01').date(),
        state="state_example",
        age=1,
        address="address_example",
        favorite_colour="favorite_colour_example",
        status=True,
    ) # Profile | 

    # example passing only required values which don't have defaults set
    try:
        api_response = api_instance.profile_create(data)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling ProfileApi->profile_create: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**Profile**](Profile.md)|  |

### Return type

[**Profile**](Profile.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details

| Status code | Description | Response headers |
|-------------|-------------|------------------|
**201** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profile_delete**
> profile_delete(id)



here is the APis to perform the crud operation on Profile models.

### Example

* Basic Authentication (Basic):

```python
import time
import openapi_client
from openapi_client.api import profile_api
from pprint import pprint
# Defining the host is optional and defaults to http://profileweb:8000
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://profileweb:8000"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = openapi_client.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = profile_api.ProfileApi(api_client)
    id = 1 # int | A unique integer value identifying this profiles.

    # example passing only required values which don't have defaults set
    try:
        api_instance.profile_delete(id)
    except openapi_client.ApiException as e:
        print("Exception when calling ProfileApi->profile_delete: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**| A unique integer value identifying this profiles. |

### Return type

void (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined


### HTTP response details

| Status code | Description | Response headers |
|-------------|-------------|------------------|
**204** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profile_list**
> [Profile] profile_list()



here is the APis to perform the crud operation on Profile models.

### Example

* Basic Authentication (Basic):

```python
import time
import openapi_client
from openapi_client.api import profile_api
from openapi_client.model.profile import Profile
from pprint import pprint
# Defining the host is optional and defaults to http://profileweb:8000
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://profileweb:8000"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = openapi_client.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = profile_api.ProfileApi(api_client)

    # example, this endpoint has no required or optional parameters
    try:
        api_response = api_instance.profile_list()
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling ProfileApi->profile_list: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**[Profile]**](Profile.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details

| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profile_partial_update**
> Profile profile_partial_update(id, data)



here is the APis to perform the crud operation on Profile models.

### Example

* Basic Authentication (Basic):

```python
import time
import openapi_client
from openapi_client.api import profile_api
from openapi_client.model.profile import Profile
from pprint import pprint
# Defining the host is optional and defaults to http://profileweb:8000
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://profileweb:8000"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = openapi_client.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = profile_api.ProfileApi(api_client)
    id = 1 # int | A unique integer value identifying this profiles.
    data = Profile(
        email="email_example",
        name="name_example",
        password="password_example",
        city="city_example",
        date=dateutil_parser('1970-01-01').date(),
        state="state_example",
        age=1,
        address="address_example",
        favorite_colour="favorite_colour_example",
        status=True,
    ) # Profile | 

    # example passing only required values which don't have defaults set
    try:
        api_response = api_instance.profile_partial_update(id, data)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling ProfileApi->profile_partial_update: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**| A unique integer value identifying this profiles. |
 **data** | [**Profile**](Profile.md)|  |

### Return type

[**Profile**](Profile.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details

| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profile_read**
> Profile profile_read(id)



here is the APis to perform the crud operation on Profile models.

### Example

* Basic Authentication (Basic):

```python
import time
import openapi_client
from openapi_client.api import profile_api
from openapi_client.model.profile import Profile
from pprint import pprint
# Defining the host is optional and defaults to http://profileweb:8000
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://profileweb:8000"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = openapi_client.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = profile_api.ProfileApi(api_client)
    id = 1 # int | A unique integer value identifying this profiles.

    # example passing only required values which don't have defaults set
    try:
        api_response = api_instance.profile_read(id)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling ProfileApi->profile_read: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**| A unique integer value identifying this profiles. |

### Return type

[**Profile**](Profile.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details

| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profile_update**
> Profile profile_update(id, data)



here is the APis to perform the crud operation on Profile models.

### Example

* Basic Authentication (Basic):

```python
import time
import openapi_client
from openapi_client.api import profile_api
from openapi_client.model.profile import Profile
from pprint import pprint
# Defining the host is optional and defaults to http://profileweb:8000
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "http://profileweb:8000"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = openapi_client.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)

# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = profile_api.ProfileApi(api_client)
    id = 1 # int | A unique integer value identifying this profiles.
    data = Profile(
        email="email_example",
        name="name_example",
        password="password_example",
        city="city_example",
        date=dateutil_parser('1970-01-01').date(),
        state="state_example",
        age=1,
        address="address_example",
        favorite_colour="favorite_colour_example",
        status=True,
    ) # Profile | 

    # example passing only required values which don't have defaults set
    try:
        api_response = api_instance.profile_update(id, data)
        pprint(api_response)
    except openapi_client.ApiException as e:
        print("Exception when calling ProfileApi->profile_update: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **int**| A unique integer value identifying this profiles. |
 **data** | [**Profile**](Profile.md)|  |

### Return type

[**Profile**](Profile.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details

| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

